package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.WithdrawBo;
import org.dromara.main.domain.vo.WithdrawVo;

import java.util.List;
import java.util.Map;

public interface IWithdrawService {

    WithdrawVo queryById(Long id);

    TableDataInfo<WithdrawVo> queryPageList(WithdrawBo bo, PageQuery pageQuery);

    List<WithdrawVo> queryList(WithdrawBo bo);

    Long applyWithdraw(WithdrawBo bo);

    Boolean auditAndTransfer(Long id, String auditRemark);

    Boolean auditReject(Long id, String auditRemark);

    String handleAlipayTransferNotify(Map<String, String> params);
}
